"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ColorWrapper;
exports.ColorMock = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _color = _interopRequireDefault(require("color"));

var ColorMock = function () {
  function ColorMock(color) {
    (0, _classCallCheck2.default)(this, ColorMock);
    this.color = color;
  }

  (0, _createClass2.default)(ColorMock, [{
    key: "hsl",
    value: function hsl() {
      return this;
    }
  }, {
    key: "isLight",
    value: function isLight() {
      return false;
    }
  }, {
    key: "isDark",
    value: function isDark() {
      return false;
    }
  }, {
    key: "negate",
    value: function negate() {
      return this;
    }
  }, {
    key: "lighten",
    value: function lighten() {
      return this;
    }
  }, {
    key: "darken",
    value: function darken() {
      return this;
    }
  }, {
    key: "saturate",
    value: function saturate() {
      return this;
    }
  }, {
    key: "desaturate",
    value: function desaturate() {
      return this;
    }
  }, {
    key: "grayscale",
    value: function grayscale() {
      return this;
    }
  }, {
    key: "whiten",
    value: function whiten() {
      return this;
    }
  }, {
    key: "blacken",
    value: function blacken() {
      return this;
    }
  }, {
    key: "fade",
    value: function fade() {
      return this;
    }
  }, {
    key: "opaquer",
    value: function opaquer() {
      return this;
    }
  }, {
    key: "rotate",
    value: function rotate() {
      return this;
    }
  }, {
    key: "contrast",
    value: function contrast() {
      return 10;
    }
  }, {
    key: "luminosity",
    value: function luminosity() {
      return 0.5;
    }
  }, {
    key: "mix",
    value: function mix() {
      return this;
    }
  }, {
    key: "blue",
    value: function blue() {
      return this.color;
    }
  }, {
    key: "green",
    value: function green() {
      return this.color;
    }
  }, {
    key: "red",
    value: function red() {
      return this.color;
    }
  }, {
    key: "hex",
    value: function hex() {
      return this.color;
    }
  }, {
    key: "rgbNumber",
    value: function rgbNumber() {
      return this.color;
    }
  }, {
    key: "rgb",
    value: function rgb() {
      return this.color;
    }
  }, {
    key: "toString",
    value: function toString() {
      return this.color;
    }
  }]);
  return ColorMock;
}();

exports.ColorMock = ColorMock;

function ColorWrapper(color) {
  if (typeof color === 'string' && color.indexOf('linear-gradient') === -1) {
    return (0, _color.default)(color);
  }

  return new ColorMock(color);
}